@import url('https://fonts.googleapis.com/css2?family=Inclusive+Sans:ital@1&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'Inclusive Sans', sans-serif;
}

@media (max-width: 768px) {
    #grafikContainer {
        width: 100%;
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#grafikContainer {
    margin-top: 24px;
    color: black;
    background-color: white;
}

#barChart {
    border: 2px solid blue;
}

#barChart:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#barChart2 {
    margin-top: 20px;
    border: 2px solid red;
}

#barChartkasir {
    margin-top: 20px;
    border: 2px solid red;
}

#barChartkasi:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#barChart2:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#barChart3 {
    margin-top: 20px;
    border: 2px solid orange;
}

#barChart3:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#lineChart {
    margin-top: 20px;
    border: 2px solid blue;
}

#lineChart:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#lineChart2 {
    margin-top: 20px;
    border: 2px solid red;
}

#lineChart2:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#lineChart3 {
    margin-top: 20px;
    border: 2px solid orange;
}

#lineChart3:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#lineChartkasir {
    margin-top: 20px;
    border: 2px solid green;
}

#lineChartkasir:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#barChartkasir {
    margin-top: 20px;
    border: 2px solid green;
}

#barChartkasir:hover {
    background-color: #f0f0f8;
    cursor: pointer;
}

#grafikpieChartKas {
    margin-top: 20px;
    border: 2px solid blue;
}

.barChart {
    border: none;
}

.barChart2 {
    border: none;
}

.barChart3 {
    border: none;
}

.lineChart {
    border: none;
}

.lineChart:hover {
    background-color: #d7d7e4;
    cursor: pointer;
}

.lineChart2 {
    border: none;
}

.lineChart2:hover {
    background-color: #d7d7e4;
    cursor: pointer;
}

.lineChart3 {
    border: none;
}

.lineChart3:hover {
    background-color: #d7d7e4;
    cursor: pointer;
}

.pieChartKas {
    background-color: white;
    cursor: pointer;
    border: #ccc;
    display: block;
    width: 100%;
    max-width: 1035px;
    height: 300px;
}

.pieChartKas:hover {
    background-color: #d7d7e4;
    cursor: pointer;
}

.lineChartkasir {
    border: none;
}

.lineChartkasir:hover {
    background-color: #d7d7e4;
    cursor: pointer;
}

.barChartkasir {
    border: none;
}

#dashboard {
    display: none !important;
}

#dashboardImage {
    display: none;
}

.bg-loader {
    border: 5px solid #ddd;
    background-color: #eee;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-loader .loader {
    width: 100px;
    height: 100px;
    border: 7px solid #fff;
    border-radius: 50%;
    border-top-color: #07a73d;
    border-right-color: #07a73d;
    border-bottom-color: #07a73d;
    animation: puterin .5s linear infinite;
}

.float-left {
    float: left;
}

#background-video {
    border: none;
    padding: 0;
}

.content {
    padding: 30px 0 20px 0;
}

.container {
    width: 1100px;
    margin: 0 auto;
}

.container::after {
    content: "";
    display: block;
    clear: both;
}

.bg-light {
    background-color: #f5f5f5;
    width: 99.1%;
}

/*.clearfix {
    clear: both;
}*/
.page-login {
    width: 100%;
    height: 100vh;
    background-color: #0000FF;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box {
    margin-top: 16px;
    background-color: #fff;
    border: 15px solid #a1a1bd;
}

.header {
    content: "";
    display: block;
    clear: both;
}

.box-header {
    padding: 10px;
    background-color: #0000FF;
    color: white;
}

.box-body {
    margin: 5px 8px;
    margin-bottom: 5px;
}

.box-body h3 {
    margin-top: 10px;
}

.box-footer {
    border-top: 1px solid #ddd;
    background-color: #9999c4;
    color: white;
    padding: 15px;
}

.box-footer:hover {
    cursor: pointer;
    background-color: #e7e7ef;
    color: black;
}

form {
    padding: 15px 0;
}

.form-group {
    margin-bottom: 15px;
    overflow: hidden;
    width: 99.7%;
}

.form-group label {
    display: block;
    margin-bottom: 8px;
}

.form-group .input-control {
    padding: 10px 16px;
    width: 100%;
    font-size: 16px;
    box-sizing: border-box;
    border: 1px solid #ddd;
}

.box-login {
    width: 300px;
}

.btn {
    margin: 4px;
    color: #fff;
    border: 1px solid #020226;
    padding: 10px 16px;
    font-size: 16px;
}

.btn-blue {
    background-color: #1010a7;
    color: white;
}

.btn-blue:hover {
    background-color: #04041e;
    cursor: pointer;
    color: white;
}

.btn-bl:hover {
    background-color: #1010a7;
    cursor: pointer;
    color: white;
}

.text-center {
    text-align: center !important;
}

.textcenter {
    padding: 8px;
    border: none;
    background-color: white;
    margin-bottom: 20px;
    text-align: center !important;
    transition: background-color 0.5s;
}

.navbar {
    padding: 6px;
    height: 65px;
    width: 99%;
    background-color: #0000FF;
    top: 0;
    left: 0;
    z-index: 1000;
    color: white;
    position: fixed;
    display: flex;
    justify-content: space-between;
}

.navbar a {
    color: white;
}

.alert {
    padding: 10px 16px;
    border: 1px solid;
}

.alert-error {
    background-color: rgb(113, 29, 29);
    border: 1px solid yellow;
    color: #fff;
}

.alert-success {
    background-color: #079129;
    border: 1px solid #668a72;
    color: #fff;
}

.nav-brand {
    display: inline-block;
    padding: 20px 0;
}

.nav-menu {
    display: flex;
    list-style: none;
}

.nav-menu li a {
    margin-right: 10px;
    padding: 22px;
    display: inline-block;
}

.nav-menu li .tumba a {
    color: rgb(174, 24, 24);
    /*selesai*/
    padding: 10px;
    display: inline-block;
}

.nav-menu li:hover {
    background-color: #0707dc;
    color: rgb(148, 10, 10);
}

.nav-menu li .dropdown {
    border: 1px solid #ccc;
    background-color: #ebe5e5;
    list-style: none;
    position: absolute;
    display: none;
    color: black;
}

.nav-menu li .dropdown a {
    color: black;
}

.nav-menu li .dropdown li:hover a {
    color: white;
}

.nav-menu li:hover .dropdown {
    display: block;
    color: rgb(146, 8, 8);
}

/*.footer {
    padding: 22px 0;
}*/
.table {
    width: 100%;
    border-collapse: collapse;
    margin: 8px 0;
}

.table tr th {
    background-color: #0000FF;
    color: white;
    padding: 10px;
}

.table th,
.table td {
    border: 1px solid #ddd;
    padding: 10px;
}

.table tr:hover {
    background-color: #e5e7eb;
}

.table td:first-child {
    width: 50px;
    text-align: center;
}

.table td:last-child {
    width: 150px;
    text-align: center;
}

.text-red {
    color: rgb(124, 24, 24);
}

.text-orange {
    color: orange;
}

.text-green {
    color: rgb(4, 31, 4);
    font-size: 20px;
}

.input-group {
    border: 1px solid #ddd;
}

.input-group:after {
    content: '';
    clear: both;
    display: block;
}

.input-group input[type="text"] {
    width: 87.9%;
    padding: 10px;
    font-size: 15px;
    float: left;
    border: 1px solid #ddd;
}

.input-group input[type="text"]:focus {
    outline: none;
}

.input-group button {
    color: white;
    background-color: #0000FF;
    width: 10%;
    padding: 10px;
    font-size: 16px;
    float: left;
    border: 1px solid #ddd;
    border-left: none;
}

.image {
    border: 1px solid #ddd;
    padding: 5px;
}

.header {
    box-sizing: border-box;
    height: 80px;
}

.header a {
    color: white;
}

.header a:hover {
    color: red;
}

.header-logo {
    float: left;
    line-height: 50px;
    padding: 0px 6px;
}

.header-logo img {
    float: left;
    margin-right: 20px;
}

.header-logo h2 {
    float: left;
}

.header-menu {
    float: right;
    padding: 1px 0;
    margin-top: -12px;
}

.header-menu li {
    float: left;
    list-style: none;
    padding: 35px 10px;
}

.footer {
    left: 0;
    top: 0;
    width: 97%;
    padding: 25px;
    background-color: #0000FF;
    color: white;
}

.banner {
    border: 1px solid #ccc;
    height: 150vh;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.banner-text {
    padding: 10px 0;
    background-color: #7878ca;
    color: #fff;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.section {
    padding: 30px 0;
}

.sectionkepala {
    padding: 30px 0;
}

.section h3 {
    padding-bottom: 25px;
    margin-bottom: 50px;
    position: relative;
}

.section h3::after {
    content: "";
    display: block;
    width: 250px;
    border: 1px solid #ddd;
    position: absolute;
    bottom: 0;
    left: calc(50% - 125px);
}

.section img {
    margin-bottom: 10px;
}

.section h4 {
    margin-bottom: 25px;
}

/*css icon bars class navbarbar*/
.navbarbar {
    padding: 1.5rem 1rem;
    position: fixed;
    top: 0;
    left: 20px;
    font-size: 20px;
    margin: 0 10px;
    cursor: pointer;
}

.navbarbar a {
    color: black;
}

.sidebarbar {
    height: auto;
    top: 0;
    padding-top: 60px;
    width: 580px;
    background-color: #3e3ecf;
    transition: all 2.5s;
    position: fixed;
    max-height: 950px;
    cursor: pointer;
    z-index: 99;
}

.sidebarbar-body {
    max-height: 800px;
    z-index: 1;
    margin-left: 10px;
    padding: 5px;
    margin-top: 100px;
    cursor: pointer;
    width: 450px;
}

.sidebarbar-hide {
    left: -600px;
}

.sidebarbar-show {
    left: 0;
}

.sidebarbar-body h2 {
    margin-right: 0;
    z-index: 99;
    position: fixed;
    margin-top: -70px;
    padding: 10px 165px;
    background-color: #0000FF;
    color: white;
}

.sidebarbar-body ul {
    list-style: none;
    top: 0;
    width: 560px;
    background-color: #fff;
    transition: all 2.5s;
    position: relative;
    max-height: 465px;
    cursor: pointer;
    overflow: auto;
}

.sidebarbar-body ul li a {
    display: inline-block;
    padding: 10px 40px;
    justify-content: left;
    box-sizing: border-box;
    left: 0;
}

.sidebarbar-body ul li a i {
    padding: 0 40px;
}

.sidebarbar-body ul li a:hover {
    background-color: #a7a7bd;
    color: white;
    width: 100%;
}

.sidebarbar-body ul li:not(:last-child) {
    border-bottom: 1px solid #ccc;
}

/* batas css icon sidebar */
/*css icon sidebarbur icon fa fa-ellipsis-v*/
.iconnavbarbur {
    float: right;
    margin-right: -80px;
    margin-top: 0;
    top: 0;
    font-size: 18px;
    cursor: pointer;
    padding: 18px 30px;
}

.sidomapui {
    top: 0;
    padding-top: 40px;
    width: 600px;
    border: 2px solid dddd;
    background-color: #e6e6f3;
    transition: all 2.5s;
    position: fixed;
    height: auto;
    cursor: pointer;
    z-index: 99;
    max-height: 0;
    right: 0;
}

.sidomapui-body {
    width: 550px;
    z-index: 1;
    margin-right: 0;
    padding: 5px;
    margin-top: 80px;
    cursor: pointer;
    max-height: 500px;
    visibility: hidden;
    opacity: 0;
    transition: visibility 2.5s, opacity 2.5s;
}

.sidomapui:hover .sidomapui-body {
    visibility: visible;
    opacity: 1;
}

.sidomapui-body h4 {
    margin-right: 10px;
    z-index: 99;
    position: fixed;
    margin-top: -40px;
    padding: 4px 160px;
    background-color: #0000FF;
    color: white;
    display: inline-block;
    right: 0;
}

.sidomapui-body ul {
    width: 590px;
    margin-right: 0;
    list-style: none;
    top: 0;
    background-color: white;
    transition: all 2.5s;
    position: relative;
    max-height: 500px;
    cursor: pointer;
    overflow: auto;
}

.sidomapui-body ul li a {
    width: 100%;
    display: inline-block;
    padding: 8px 20px;
    box-sizing: border-box;
}

.sidomapui-body ul li a i {
    padding: 0 40px;
}

.sidomapui-body ul li a:hover {
    background-color: #d5d5e7;
    color: white;
}

.sidomapui-body ul li:not(:last-child) {
    border-bottom: 1px solid #ccc;
}

.boxing-search {
    padding: 1px 70px;
    background-color: #0000FF;
    color: white;
}

#btnBar {
    color: white;
}

#sidomBtn {
    color: white;
}

/*cardon content dan contentdua*/
.cardown,
.cardownsatu,
.cardowndua,
.cardowntiga,
.cardownempat,
.cardownlima,
.cardownenam,
.cardowntujuh,
.cardowndelapan,
.cardownsembilan,
.cardownsepuluh,
.cardownsebelas,
.cardownduabelas,
.cardowntigabelas,
.cardownempatbelas,
.cardownlimabelas,
.cardownenambelas,
.cardowntujuhbelas,
.cardowndelapanbelas,
.cardownsembilanbelas,
.cardownduapuluh {
    position: relative;
    display: inline-block;
    margin-right: 0;
}

.cardown-content,
.cardown-contentsatu,
.cardown-contentdua,
.cardown-contenttiga,
.cardown-contentempat,
.cardown-contentlima,
.cardown-contentenam,
.cardown-contenttujuh,
.cardown-contentdelapan,
.cardown-contentsembilan,
.cardown-contentsepuluh,
.cardown-contentsebelas,
.cardown-contentduabelas,
.cardown-contenttigabelas,
.cardown-contentempatbelas,
.cardown-contentlimabelas,
.cardown-contentenambelas,
.cardown-contenttujuhbelas,
.cardown-contentdelapanbelas,
.cardown-contentsembilanbelas,
.cardown-contentduapuluh {
    display: none;
    top: 150px;
    left: 0;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    max-width: 530px;
    padding: 5px;
    border-radius: 5px;
    transition: all 0.3s;
    position: sticky;
    height: 100%;
    color: black;
    overflow: auto;
}

.cardowndua .cardowndua-hide {
    opacity: 0;
    max-height: 0;
}

.cardowndua.open .cardowndua-hide {
    opacity: 1;
    max-height: 100px;
}

.cardown-content ul li:hover .cardown-contentsatu ul li:hover .cardown-contentdua ul li:hover .cardown-contenttiga ul li:hover .cardown-contentempat ul li:hover .cardown-contentlima ul li:hover .cardown-contentenam ul li:hover .cardown-contenttujuh ul li:hover .cardown-contentdelapan ul li:hover .cardown-contentsembilan ul li:hover .cardown-contentsepuluh ul li:hover .cardown-contentsebelas ul li:hover .cardown-contentduabelas ul .btn:hover .cardown-contenttigabelas ul li:hover .cardown-contentempatbelas ul li:hover .cardown-contentlimabelas ul li:hover .cardown-contentenambelas ul li:hover .cardown-contenttujuhbelas ul li:hover .cardown-contentdelapanbelas ul li:hover .cardown-contentsembilanbelas ul li:hover .cardown-contentduapuluh ul li:hover {
    background-color: #0000FF;
    color: white;
}

.cardown-content ul,
.cardown-contentsatu ul,
.cardown-contentdua ul,
.cardown-contenttiga ul,
.cardown-contentempat ul,
.cardown-contentlima ul,
.cardown-contentenam ul,
.cardown-contenttujuh ul,
.cardown-contentdelapan ul,
.cardown-contentsembilan ul,
.cardown-contentsepuluh ul,
.cardown-contentsebelas ul,
.cardown-contentduabelas ul,
.cardown-contenttigabelas ul,
.cardown-contentempatbelas ul,
.cardown-contentlimabelas ul,
.cardown-contentenambelas ul,
.cardown-contenttujuhbelas ul,
.cardown-contentdelapanbelas ul,
.cardown-contentsembilanbelas ul,
.cardown-contentduapuluh ul {
    list-style: none;
    padding: 0;
    margin: 0;
    width: 530px;
}

.cardown.active .cardown-content,
.cardownsatu.active .cardown-contentsatu,
.cardowndua.active .cardown-contentdua,
.cardowntiga.active .cardown-contenttiga,
.cardownempat.active .cardown-contentempat,
.cardownlima.active .cardown-contentlima,
.cardownenam.active .cardown-contentenam,
.cardowntujuh.active .cardown-contenttujuh,
.cardowndelapan.active .cardown-contentdelapan,
.cardownsembilan.active .cardown-contentsembilan,
.cardownsepuluh.active .cardown-contentsepuluh,
.cardownsebelas.active .cardown-contentsebelas,
.cardownduabelas.active .cardown-contentduabelas,
.cardowntigabelas.active .cardown-contenttigabelas,
.cardownempatbelas.active .cardown-contentempatbelas,
.cardownlimabelas.active .cardown-contentlimabelas,
.cardownenambelas.active .cardown-contentenambelas,
.cardowntujuhbelas.active .cardown-contenttujuhbelas,
.cardowndelapanbelas.active .cardown-contentdelapanbelas,
.cardownsembilanbelas.active .cardown-contentsembilanbelas,
.cardownduapuluh.active .cardown-contentduapuluh {
    display: block;
    opacity: 1;
}

#cardownBtn,
#cardownBtnsatu,
#cardownBtndua,
#cardownBtntiga,
#cardownBtnempat,
#cardownBtnlima,
#cardownBtnenam,
#cardownBtntujuh,
#cardownBtndelapan,
#cardownBtnsembilan,
#cardownBtnsepuluh,
#cardownBtnsebelas,
#cardownBtnduabelas,
#cardownBtntigabelas,
#cardownBtnempatbelas,
#cardownBtnlimabelas,
#cardownBtnenambelas,
#cardownBtntujuhbelas,
#cardownBtndelapanbelas,
#cardownBtnsembilanbelas,
#cardownBtnduapuluh {
    border: none;
    padding: 8px 25px;
    background-color: #0000FF;
    cursor: pointer;
    margin-left: 0;
    font-size: 15px;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

#cardownBtn:hover,
#cardownBtnsatu:hover,
#cardownBtndua:hover,
#cardownBtntiga:hover,
#cardownBtnempat:hover,
#cardownBtnlima:hover,
#cardownBtnenam:hover,
#cardownBtntujuh:hover,
#cardownBtndelapan:hover,
#cardownBtnsembilan:hover,
#cardownBtnsepuluh:hover,
#cardownBtnsebelas:hover,
#cardownBtnduabelas:hover,
#cardownBtntigabelas:hover,
#cardownBtnempatbelas:hover,
#cardownBtnlimabelas:hover,
#cardownBtnenambelas:hover,
#cardownBtntujuhbelas:hover,
#cardownBtndelapanbelas:hover,
#cardownBtnsembilanbelas:hover,
#cardownBtnduapuluh:hover {
    background-color: #cacad9;
    color: black;
}

#cardownBtntiga:hover {
    background-color: #cacad9;
    color: black;

}


#cardownBtn,
#cardownBtnsatu,
#cardownBtndua,
#cardownBtntiga,
#cardownBtnempat,
#cardownBtnlima,
#cardownBtnenam,
#cardownBtntujuh,
#cardownBtndelapan,
#cardownBtnsembilan,
#cardonwBtnsepuluh,
#cardonwBtnsebelas,
#cardonwBtnduabelas,
#cardonwBtntigabelas,
#cardonwBtnempatbelas,
#cardonwBtnlimabelas,
#cardonwBtnenambelas,
#cardonwBtntujuhbelas,
#cardonwBtndelapanbelas,
#cardonwBtnsembilanbelas,
#cardonwBtnduapuluh {
    position: relative;
    display: inline-block;
    padding-right: 15px;
    z-index: 1000;
}

#cardownBtn i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 406px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnsatu i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 439px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtndua i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 390px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtntiga i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 269px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnempat i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 370px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnlima i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 427px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnenam i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 282px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtntujuh i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 301px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtndelapan i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 302px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnsembilan i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 358px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnsepuluh i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 329px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnsebelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 332px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnduabelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 332px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtntigabelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 293px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnempatbelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 358px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnlimabelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 367px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnenambelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 348px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtntujuhbelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 358px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtndelapanbelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 338px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnsembilanbelas i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 330px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

#cardownBtnduapuluh i.fa-caret-down {
    display: inline-block;
    vertical-align: middle;
    margin-left: 370px;
    align-items: center;
    z-index: 999;
    top: 50%;
}

/* Stil default ikon caret-down */
.cardown .fa-caret-down .cardownsatu .fa-caret-down,
.cardowndua .fa-caret-down,
.cardowntiga .fa-caret-down,
.cardownempat .fa-caret-down,
.cardownlima .fa-caret-down,
.cardownenam .fa-caret-down,
.cardowntujuh .fa-caret-down,
.cardowndelapan .fa-caret-down,
.cardownsembilan .fa-caret-down,
.cardownsepuluh .fa-caret-down,
.cardownsebelas .fa-caret-down,
.cardownduabelas .fa-caret-down,
.cardowntigabelas .fa-caret-down,
.cardownempatbelas .fa-caret-down,
.cardownlimabelas .fa-caret-down,
.cardownenambelas .fa-caret-down,
.cardowntujuhbelas .fa-caret-down,
.cardowndelapanbelasbelas .fa-caret-down,
.cardownsembilanbelas .fa-caret-down,
.cardownduapuluh .fa-caret-down {
    transition: transform 0.5s cubic-bezier(0.25, 0.1, 0.25, 1);
}

/* Ketika dropdown terbuka, putar ikon ke arah atas */
.cardown.open .fa-caret-down,
.cardownsatu.open .fa-caret-down,
.cardowndua.open .fa-caret-down,
.cardowntiga.open .fa-caret-down,
.cardownempat.open .fa-caret-down,
.cardownlima.open .fa-caret-down,
.cardownenam.open .fa-caret-down,
.cardowntujuh.open .fa-caret-down,
.cardowndelapan.open .fa-caret-down,
.cardownsembilan.open .fa-caret-down,
.cardownsepuluh.open .fa-caret-down,
.cardownsebelas.open .fa-caret-down,
.cardownduabelas.open .fa-caret-down,
.cardowntigabelas.open .fa-caret-down,
.cardownempatbelas.open .fa-caret-down,
.cardownlimabelas.open .fa-caret-down,
.cardownenambelas.open .fa-caret-down,
.cardowntujuhbelas.open .fa-caret-down,
.cardowndelapanbelas.open .fa-caret-down,
.cardownsembilanbelas.open .fa-caret-down,
.cardownduapuluh.open .fa-caret-down {
    transform: rotate(-90deg);
}

/*cardon contentdua*/
.metric {
    flex: 1;
    padding: 3px;
    text-align: center;
    bottom: 0;
}

.metricc {
    border: 4px solid #ccc;
    bottom: 0;
    width: 100%;
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.metrics {
    bottom: 100px;
    justify-content: space-between;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #be1a1a
}

.metricss {
    background-color: hsl(235, 27%, 92%);
}

.metric-a {
    padding: 20px;
    background-color: #e1e1ef;
}

.metric-b {
    margin: 9px;
    padding: 5px;
    background-color: #e1e1ef;
}

.metric-c {
    padding: 20px;
    background-color: #e1e1ef;
    border: 2px solid black;

}

/*css mega promosi*/
.promoinformasi {
    background-image: url('../../uploads/identitas/ab.jpg');
    padding: 2pc;
    background-color: rgb(225, 225, 241);
    background-repeat: no-repeat;
    background-size: cover;
}

.megapromosiTerbaru {
    border: none;
}

.sectiondashboard h3 {
    position: relative;
}

.sectiondashboard {
    border: none;
}

.col4dashboard {
    min-height: 200px;
    width: 30.6%;
    float: left;
    padding: 5px;
    background-repeat: no-repeat;
    background-size: cover;
}

.col4dashboard:hover {
    background-color: #ccc;
}

.thumbnailboxdashboard {
    background-color: #e9eea3;
    border-collapse: collapse;
    top: 190px;
    min-height: 30vh;
    background-repeat: no-repeat;
    background-size: cover;
}

.thumbnailtextdashboard {
    height: 60px;
    font-weight: bold;
    color: black;
    margin-top: 10px;
}

.thumbailimgdasboard {
    padding: 70px;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 250px;
    height: 100%;
}

/* css total di dashboard */
.box-nav {
    width: 100%;
    background-color: #0000FF;
    color: white;
}

.tasing {
    display: flex;
    justify-content: center;
    align-items: center;
}

.metrickasir {
    flex: 1;
    padding: 3px;
    text-align: center;
    bottom: 0;
}

.metricckasir {
    bottom: 0;
    width: 100%;
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.metricskasir {
    border: 2px solid #ddd;
    margin-bottom: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    left: auto;
}

.metricsskasir {
    background-color: #5f5fc6;
}

.metric-akasir {
    border: 2px solid #ddd;
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-bkasir {
    border: 2px solid #ddd;
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-ckasir {
    border: 2px solid #ddd;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
    text-align: center;
}

.metric-akasir:hover {
    background-color: #ddd;
    color: black;
}

.metric-bkasir:hover {
    background-color: #ddd;
    color: black;
}

.metric-ckasir:hover {
    background-color: #ddd;
    color: black;
}

.box-navdist {
    left: auto;
    border: none;
    width: 99%;
    margin-left: 5px;
    margin-right: 5px;
}

.metricsdist {
    border: 2px solid #ddd;
    margin-bottom: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    left: auto;
}

.metric-adist {
    border: 2px solid #ddd;
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-bdist {
    border: 1px solid #ddd;
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-cdist {
    border: 1px solid #ddd;
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-adist:hover,
.metric-bdist:hover,
.metric-cdist:hover {
    background-color: #ddd;
}

.box-navfooter {
    border: 2px solid #ddd;
    left: auto;
    border: none;
    width: 99%;
    margin-left: 5px;
    margin-right: 5px;
}

.metricsfooter {
    border: 2px solid #ddd;
    margin-bottom: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    left: auto;
}

.metric-afooter {
    text-align: center;
    width: 33%;
    border: 1px solid #ddd;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-bfooter {
    text-align: center;
    width: 33%;
    border: 1px solid #ddd;
    margin: 2px;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-cfooter {
    text-align: center;
    width: 33%;
    border: 1px solid #ddd;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-afooter:hover,
.metric-cfooter:hover {
    background-color: #ddd;
    color: black;
}

.metric-bfooter:hover {
    background-color: #ddd;
    color: black;
}

.box-navkeu {
    display: flex;
    justify-content: center;
    align-items: center;
}

.metricskeu {
    width: 81%;
    border: 2px solid #ddd;
    margin-bottom: 1px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.metric-akeu {
    text-align: center;
    width: 33%;
    border: 1px solid #ddd;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-bkeu {
    text-align: center;
    width: 33%;
    border: 1px solid #ddd;
    margin: 2px;
    padding: 15px;
    background-color: white;
    color: black;
}

.metric-ckeu {
    text-align: center;
    width: 34%;
    border: 1px solid #ddd;
    padding: 15px;
    background-color: white;
    color: black;
}

/*Emmiiii pembukuan mulai*/
.box-main,
.box-footer,
.search,
.colspan h1,
.content {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hanaehmalam {
    justify-content: center;
    display: flex;
    border: none;
    text-align: center;
}

.totalBulanKas {
    border: none;
    display: flex;
}

.totalDebet {
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
    border: 1px solid #ddd;
}

.totalKredit {
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
    border: 1px solid #ddd;
}

.totalSaldo {
    text-align: center;
    width: 33%;
    padding: 15px;
    background-color: white;
    color: black;
    border: 1px solid #ddd;
}

.totalDebet:hover,
.totalKredit:hover,
.totalSaldo:hover {
    cursor: pointer;
    background-color: #cbcbe1;

}

/* isi semua tabel keuangan*/
.col-4 {
    border: 1px solid #ccc;
    min-height: 200px;
    width: 23%;
    float: left;
    padding: 3px;
}

.col-4:hover {
    background-color: #ddd;
    color: #ddd;
}

.box-gmaps {
    float: left;
    width: 75%;
}

.thumbnail {
    border: 2px solid white;
    padding: 18px;
    background-color: white;
    width: 29%;
    top: 190px;
    width: 99.8%;
    min-height: 30vh;
}

.thumbail {
    width: 100%;
    z-index: 1;
    margin-top: 0;
    cursor: pointer;
    overflow: scroll;
    min-height: auto;
    background-color: #8b8bc7;
}

.thumbnail-box {
    background-color: white;
    border-collapse: collapse;
    top: 190px;
    min-height: 30vh;
}

.thumbnail-text {
    height: 40px;
    padding: 5x;
    font-weight: bold;
    color: black;
    margin-top: 10px;
}

.thumbail-img {
    background-repeat: no-repeat;
    background-size: cover;
    border: 1px solid #ddd;
    min-height: 300px;
}

.thumbnail-link {
    color: hsl(0, 15%, 92%);
}

.thumbnail-link:hover {
    color: rgb(184, 162, 162);
}

.sticky-header {
    background-color: #0000FF;
    border-collapse: collapse;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 1;
    cursor: pointer;
}

.sticky-header tr {
    border: 2px solid red;
}

.sticky-header th {
    top: 0;
    border: 1px solid #ddd;
    border-collapse: collapse;
    color: white;
    padding: 8px;
}

#kupiatra {
    background-color: red;
    border: 2px solid red;
}

.sticky tr {
    border: 4px solid red;
    background-color: #0000FF;
}

.sticky td {
    border: 1px solid #ccc;
    overflow: auto;
    padding: 8px;
    background-color: white;
    height: 100%;
}

.sticky td:hover {
    background-color: hsl(240, 14%, 93%);
}

#jurusan {
    background-color: #fff;
}

.box-search {
    z-index: 0;
}

/*isi box-nav--*/
.box-main {
    left: 0;
    width: 100%;
    min-height: auto;
}

.input-control {
    padding: 10px 80px;
    font-size: 16px;
    text-align: left;
}

.inputcontrol {
    padding: 8px 10px;
    font-size: 18px;
    z-index: 0;
}

#keyword {
    z-index: 0;
}

.input-barang [ type="text"] {
    padding: 8px 15px;
    font-size: 18px;
}

.input-barang .fa-search {
    background-color: #ddd;
    padding: 9px 18px;
    font-size: 18px;
}

.input-barang .fa-search:hover {
    background-color: #a3b8c6;
}

#ongeureusong {
    padding: 12px 19px;
    background-color: #cab9b9;
    border: 4px solid red;
}

/* Untuk mengganti atribut 'cellspacing' */
/*  Isi tabel */
.total-row td {
    padding: 12px;
    background-color: #0000FF;
    color: white;

}

.colspan h1 {
    height: 170px;
    color: white;
    background-color: #5656ce;
}

.colspan {
    background-color: #5656ce;
}

.box-colspan7 {
    border: 7px solid rgb(211, 205, 239);
    margin-bottom: 50px;
    background-color: #ce566a;
}

.gelas-total h3 {
    margin-left: 60px;
}

.month-row {
    background-color: #8c1010;
    border: none;
}

.gelas:hover {
    background-color: white;
    color: black;
}

.thumbailbarang tr td {
    background-color: #0000FF;
}

/*css untuk file barang*/
#boxenumbarang {
    border: 2px solid red;
    padding: 6px 16px;
}

.box-barang {
    background-color: #0000FF;
    padding: 6px 16px;
}

.box-inputbarang {
    border: 2px solid red;
    padding: 6px 16px;
}

/*css mobile menu*/
.mobile-menu-btn {
    width: 100%;
    float: left;
    padding: 10px;
    display: none;
}

.box-menu-mobile {
    display: none;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: #0000FF;
    z-index: 9999;
}

.box-menu-mobile span {
    color: #fff;
    padding: 10px;
    position: absolute;
    right: 0;
}

.box-menu-mobile ul {
    margin-top: 50px;
}

.box-menu-mobile ul li a {
    padding: 10px;
    display: inline-block;
    color: #fff;
}

#kosongData {
    text-align: center;
    background-repeat: no-repeat;
    height: 20% !important;
    object-fit: cover;
}

#kosongData img {
    height: 15%;
    width: 100%;
    max-width: 30%;
    object-fit: cover;
}

#liveText {
    padding: 2px 100px;
    font-size: 25px;
    color: red;
}

.search-container {
    border: none;
}

.tombollinkfooterkiri {
    color: white;
}

.tombollinkfooterkiri:hover {
    background-color: #1010a7;
    cursor: pointer;
    color: white;
}

.tombollinkfooterkanan {
    color: white;

}

.tombollinkfooterkanan:hover {
    background-color: #04041e;
    cursor: pointer;
    color: white;
}

@keyframes puterin {
    100% {
        transform: rotate(360deg);
    }
}

a {
    text-decoration: none;
}

@media screen and (max-width:768px) {
    .header {
        background-color: #0e86d4;
    }

    .container {
        width: 99.7%;
    }

    .col-4 {
        width: 43%;
    }

    .thumbnail-text {
        font-size: 14px;
    }

    .header-logo {
        line-height: 50px;
        padding-left: 10px;
    }

    .header-logo img {
        width: 20%;
    }

    .header-logo h2 {
        font-size: 20px;
    }

    .header-menu {
        display: none;
    }

    .box-gmaps {
        width: 100%;
    }

    .mobile-menu-btn {
        display: block;
    }
}